%global minorversion 1.0
%global xfceversion 4.7

Name:           xfce4-power-manager
Version:        1.0.10
Release:        4%{?dist}
Summary:        Power management for the Xfce desktop environment

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/applications/%{name}
#VCS: git:git://git.xfce.org/xfce/xfce4-power-manager
Source0:        http://archive.xfce.org/src/apps/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2
Patch0:         xfce4-power-manager-1.0.1-dsofix.patch
# same as http://git.xfce.org/xfce/xfce4-power-manager/commit/?id=9bc8900
Patch1:         xfce4-power-manager-1.0.10-libnotify-0.7.0.patch
# http://git.xfce.org/xfce/xfce4-power-manager/commit/?id=f7a48533
Patch2:         xfce4-power-manager-1.0.10-default-spin-down-toogle-value.patch
# http://git.xfce.org/xfce/xfce4-power-manager/commit/?id=f3671687
Patch3:         xfce4-power-manager-1.0.10-unused-variables.patch
# http://git.xfce.org/xfce/xfce4-power-manager/commit/?id=d3c7a2c2
Patch4:         xfce4-power-manager-1.0.10-more-strings-for-translation.patch
# http://git.xfce.org/xfce/xfce4-power-manager/commit/?id=2a8d115e
Patch5:         xfce4-power-manager-1.0.10-NetworkManager-0.9.patch
# http://git.xfce.org/xfce/xfce4-power-manager/commit/?id=643962eb
Patch6:         xfce4-power-manager-1.0.10-broken-empty-battery-icon.patch
# http://git.xfce.org/xfce/xfce4-power-manager/commit/?id=6b86e87f
Patch7:         xfce4-power-manager-1.0.10-change-backlight-property-type.patch
# http://git.xfce.org/xfce/xfce4-power-manager/commit/?id=ab07509c
Patch8:         xfce4-power-manager-1.0.10-dim-brightness-if-the-current-level-is-brighter.patch
# http://git.xfce.org/xfce/xfce4-power-manager/commit/?id=484409ef
Patch9:         xfce4-power-manager-1.0.10-refresh-adaptor-icon.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=736964
# https://bugzilla.redhat.com/show_bug.cgi?id=736727
# fix taken from https://bugzilla.xfce.org/show_bug.cgi?id=7999#c3
Patch10:        xfce4-power-manager-1.0.10-workaround-xrandr-error.patch
# contains all translations from translations.xfce.org as of 2011-11-11
Patch20:        xfce4-power-manager-1.0.10-update-translations.patch
# Fix crash through buggy locales (WTF?)
# Fedora bug:   https://bugzilla.redhat.com/show_bug.cgi?id=754585
# Upstream bug: https://bugzilla.xfce.org/show_bug.cgi?id=8992
# We already patched the locales, so we need to apply this after patch 20
Patch21:        xfce4-power-manager-1.0.10-bug754585.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xfconf-devel >= %{xfceversion}
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
BuildRequires:  dbus-devel >= 0.60
BuildRequires:  dbus-glib-devel >= 0.70
BuildRequires:  libnotify-devel >= 0.4.1
BuildRequires:  libXrandr-devel >= 1.2.0
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  gettext intltool desktop-file-utils
Requires:       xfce4-panel >= %{xfceversion}
Requires:       polkit

%description
Xfce Power Manager uses the information and facilities provided by HAL to 
display icons and handle user callbacks in an interactive Xfce session.
Xfce Power Preferences allows authorised users to set policy and change 
preferences.


%prep
%setup -q
%patch0 -p1 -b .dsofix

%if 0%{?fedora} >= 15
%patch1 -p1 -b .libnotify-0.7.0
%endif

%patch2 -p1 -b .default-spin-down
%patch3 -p1 -b .unused-variables
%patch4 -p1 -b .more-strings

%if 0%{?fedora} >= 15
%patch5 -p1 -b .NetworkManager-0.9
%endif

%patch6 -p1 -b .empty-battery-icon
%patch7 -p1 -b .change-backlight-property
%patch8 -p1 -b .dim-brightness
%patch9 -p1 -b .refresh-adaptor-icon
%patch10 -p1 -b .xrandr-error

%patch20 -p1 -b .update-translations
%patch21 -p1 -b .bug754585


%build
%configure
make %{?_smp_mflags} V=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
%find_lang %{name}
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-settings.desktop      


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-settings
%{_bindir}/xfce4-power-information
%{_sbindir}/xfpm-power-backlight-helper
%config %{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_libdir}/xfce4/panel-plugins/xfce4-brightness-plugin
%{_datadir}/applications/%{name}-settings.desktop
%{_datadir}/icons/hicolor/*/*/*.*
%{_datadir}/xfce4/panel-plugins/xfce4-brightness-plugin.desktop
%{_datadir}/polkit-1/actions/org.xfce.power.policy
%doc %{_datadir}/xfce4/doc/C/
%{_mandir}/man1/%{name}-settings.1.*
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Mar 21 2013 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.10-4
- Fix crash through buggy locales (#754585, #921966)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 10 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.10-2
- Fix crash in brightness management (#736727 and #736964)
- No longer depend on xfce4-doc (#721291)
- Include various patches from GIT
- Update translations from transifex

* Sun Feb 20 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.10-1
- Update to 1.0.10

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 04 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.3-1
- Update to 1.0.3
- No longer require hal because the brightness backend was removed
- Require polkit

* Sun Dec 19 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2

* Thu Dec 16 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1-0.1-1
- Update to 1.0.1 on Xfce 4.8 pre2

* Sat Nov 06 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.5-1
- Update to 0.8.5
- Fix for libnotify 0.7.0
- Make build verbose

* Sat Nov 21 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.4.2-1
- Update to 0.8.4.2

* Mon Nov 02 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.4.1-1
- Update to 0.8.4.1

* Tue Sep 29 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.4-1
- Update to 0.8.4
- Drop xfpm_session_set_client_id patch, fixed upstream

* Wed Sep 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.3.1-2
- Fix segfault in xfpm_session_set_client_id

* Sun Aug 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.3.1-1
- Update to 0.8.3.1

* Sat Aug 01 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.3-1
- Update to 0.8.3

* Thu Jul 30 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.2-3
- Patch to include dpmsconst.h instead of dpms.h

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2

* Mon Jul 06 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.1.1-1
- Update to 0.8.1.1

* Fri Jul 03 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1
- Drop libglade2 requirement

* Wed Jun 10 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0 final
- Update gtk-icon-cache scriptlets

* Wed May 20 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.3.RC2
- Update to 0.8.0RC2

* Tue Apr 28 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.3.RC1
- Update to 0.8.0RC1

* Mon Apr 13 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.2.beta2
- Update to 0.8.0beta2
- Drop xfpm-button-hal.patch, no longer necessary

* Mon Apr 13 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.2.beta1
- Add xfpm-button-hal.patch by Mike Massonnet

* Sun Apr 12 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.1.beta1
- Update to 0.8.0beta1

* Thu Apr 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.1.alpha2
- Update to 0.8.0alpha2

* Thu Apr 02 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.1.alpha
- Update to 0.8.0alpha 

* Tue Mar 24 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.5-1
- Update to 0.6.5
- Remove custom autostart file

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.2-1
- Update to 0.6.2

* Sat Feb  7 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1
- Include additional desktop file for autostarting the app

* Mon Nov 10 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.0-0.1.RC1
- Update to 0.6.0 RC1

* Fri Oct 31 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.0-0.1.0.beta1
- Initial Fedora package
